For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
  • Transaction API
      • GETGet all workflow triggers
      • POSTCreate a workflow trigger
      • GETGet workflow trigger by ID
      • POSTSearch workflow triggers
  • Event API
LoginSandbox
Transaction APIWorkflow Triggers

Create a workflow trigger

POST
/v:version/workflow-triggers
POST
/v:version/workflow-triggers
$curl -X POST https://api.solvimon.com/v1/workflow-triggers \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "type": "MANUAL"
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "customer_id": "string",
5 "workflow_id": "string",
6 "type": "MANUAL",
7 "invoice": {
8 "invoice_id": "string",
9 "event": {
10 "variant": "TO_FINAL",
11 "overdue": {
12 "period": {
13 "type": "DAY",
14 "value": 1
15 }
16 }
17 },
18 "manual": {
19 "user_id": "string",
20 "variant": "TO_FINAL",
21 "overdue": {
22 "period": {
23 "type": "DAY",
24 "value": 1
25 }
26 }
27 }
28 },
29 "payment": {
30 "payment_id": "string",
31 "event": {
32 "variant": "FAILED_PAYMENT"
33 },
34 "manual": {
35 "user_id": "string",
36 "variant": "FAILED_PAYMENT"
37 }
38 },
39 "pricing_plan_subscription": {
40 "pricing_plan_subscription_id": "string",
41 "pricing_plan_schedule_id": "string",
42 "trial_end_at": "2024-01-15T09:30:00Z",
43 "event": {
44 "variant": "FREE_TRIAL_REMINDER"
45 },
46 "manual": {
47 "user_id": "string",
48 "variant": "FREE_TRIAL_REMINDER"
49 }
50 },
51 "wallet": {
52 "wallet_type_id": "string",
53 "wallet_id": "string",
54 "customer_reference": "string",
55 "wallet_reference": "string",
56 "event": {
57 "variant": "WALLET_BALANCE"
58 }
59 }
60}

Creates a manual workflow trigger for a concrete resource instance. Provide the payload for exactly one supported target type. Requires the WORKFLOW_TRIGGER.CREATE permission.

Was this page helpful?
Previous

Get workflow trigger by ID

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
typeenumRequired
Source of the trigger execution, such as a manual request or a system event.
Allowed values:
customer_idstring or nullOptional
Customer scope associated with the trigger execution.
workflow_idstringOptional
Workflow executed by this trigger.
invoiceobjectOptional
Invoice trigger details for executions that run on an invoice.
paymentobjectOptional
Payment trigger details for executions that run on a payment.
pricing_plan_subscriptionobjectOptional
Pricing plan subscription trigger details for executions that run on a subscription.
walletobjectOptional
Wallet trigger details for executions that run on a wallet balance event.

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
customer_idstring or null
Customer scope associated with the trigger execution.
workflow_idstring
Workflow executed by this trigger.
typeenum
Source of the trigger execution, such as a manual request or a system event.
Allowed values:
invoiceobject
Invoice trigger details for executions that run on an invoice.
paymentobject
Payment trigger details for executions that run on a payment.
pricing_plan_subscriptionobject
Pricing plan subscription trigger details for executions that run on a subscription.
walletobject
Wallet trigger details for executions that run on a wallet balance event.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error